---
headscale-configpath-dir:
  file.directory:
    - name: {{ headscale.config_path }}
    - user: {{ headscale.user.uid }}
    - group: {{ headscale.group.gid }}
    - makedirs: true
    - watch_in:
      - service: headscale-service

headscale-config:
  file.managed:
    - name: {{ headscale.config_path }}/config.yaml
    - source: salt://headscale/templates/config.yml.j2
    - user: {{ headscale.user.uid }}
    - group: {{ headscale.group.gid }}
    - template: jinja
    - watch_in:
      - service: headscale-service

headscale-config-derp:
  file.managed:
    - name: {{ headscale.config_path }}/derp.yaml
    - source: salt://headscale/templates/derp.yml.j2
    - user: {{ headscale.user.uid }}
    - group: {{ headscale.group.gid }}
    - template: jinja
    - watch_in:
      - service: headscale-service
